/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.gui.controladores.seguridad;

import java.math.BigDecimal;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;
import org.zkoss.zk.ui.Component;
import org.zkoss.zk.ui.Executions;
import org.zkoss.zul.Button;
import org.zkoss.zul.Intbox;

import com.rjconsultores.ventaboletos.entidad.Caja;
import com.rjconsultores.ventaboletos.utilerias.MoneyHelper;
import com.rjconsultores.ventaboletos.web.utilerias.MyGenericForwardComposer;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;
import com.rjconsultores.ventaboletos.web.utilerias.MyTextbox;

import lombok.Getter;
import lombok.Setter;

/**
 *
 * @author Rafius
 */
@Getter
@Setter
@Controller("editarIntegracaoTotvsController")
@Scope("prototype")
public class EditarIntegracaoTotvsController extends MyGenericForwardComposer {

	private static final long serialVersionUID = 3441011029644767654L;
	private Caja caja;
    private MyListbox coloniaList;
    private static Logger log = LogManager.getLogger(EditarIntegracaoTotvsController.class);
	private MyTextbox txtNumBilhete;
	private Intbox txtpuntoVentaId;
	private MyTextbox txtFechaVenta;
	private MyTextbox txtOperacao;
	private MyTextbox txtErro;
    private Button btnApagar;
	private BigDecimal valorBilhete;

	private Intbox codpostal;

    @Override
    public void doAfterCompose(Component comp) throws Exception {
    	try {
	        super.doAfterCompose(comp);
			caja = (Caja) Executions.getCurrent().getArg().get("caja");
			setValorBilhete(MoneyHelper.somar(caja.getPreciopagado(), caja.getImportetaxaembarque(), caja.getImportepedagio(), caja.getImporteseguro()));
			txtNumBilhete.focus();
    	}catch (Exception e) {
			log.error(e);
			throw e;
		}
    }

}
