package com.rjconsultores.ventaboletos.rest;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

import com.rjconsultores.ventaboletos.rest.service.AmbienteService;
import com.rjconsultores.ventaboletos.web.utilerias.spring.AppContext;

@Path("/ambiente")
public class AmbienteRS {

	@GET
	@Produces({ MediaType.APPLICATION_JSON })
	public String getReplica() {
		AmbienteService service = (AmbienteService) AppContext.getApplicationContext().getBean("ambienteService");
		return service.getAmbienteReadOnly();
	}
	
}
