package com.rjconsultores.ventaboletos.rest.service;

import java.util.List;

import org.springframework.stereotype.Service;

import com.rjconsultores.routing.ReadOnlyConnection;
import com.rjconsultores.ventaboletos.dao.UsuarioDAO;
import com.rjconsultores.ventaboletos.rest.bean.ParamsSincronizarUsuarios;
import com.rjconsultores.ventaboletos.vo.embarcada.UsuarioEmbarcadaVO;
import com.rjconsultores.ventaboletos.web.utilerias.spring.AppContext;

@Service("sincronizarUsuariosControleEmbarqueService")
public class SincronizarUsuariosControleEmbarqueService {

	@ReadOnlyConnection
	public List<UsuarioEmbarcadaVO> buscarUsuariosControleEmbarque(ParamsSincronizarUsuarios params) {
		UsuarioDAO usuarioDAO = (UsuarioDAO) AppContext.getApplicationContext().getBean("usuarioDAO");
		return usuarioDAO.buscarPorFuncionSistema(params.getFuncionId());
	}	
	
}
